Public Attributes | List of all members
_hal_usb_callback Struct Reference
Peripheral Driver » HAL Driver » USB » Callback Structures » Callback

HAL_USB Callback function definition. More...

`#include <gr55xx_hal_usb.h>`

## Public Attributes
void(* | usb_msp_init )(usb_handle_t *p_usb)
| USB init MSP callback More...
void(* | usb_msp_deinit )(usb_handle_t *p_usb)
| USB de-init MSP callback More...
void(* | usb_suspend_callback )(usb_handle_t *p_usb)
| USB suspend status interrupt callback More...
void(* | usb_ep0_out_ready_callback )(usb_handle_t *p_usb)
| USB ep0 data out ready callback More...
void(* | usb_ep1_out_ready_callback )(usb_handle_t *p_usb)
| USB ep1 data out ready callback More...
void(* | usb_crc16_err_callback )(usb_handle_t *p_usb)
| USB receive CRC error data callback More...
void(* | usb_upid_err_callback )(usb_handle_t *p_usb)
| USB receive unsupported PID callbac More...
void(* | usb_time_out_callback )(usb_handle_t *p_usb)
| USB rx/tx timeout error callback More...
void(* | usb_seq_err_callback )(usb_handle_t *p_usb)
| USB DATA0/DATA1 PID sequence error callback More...
void(* | usb_pid_cks_err_callback )(usb_handle_t *p_usb)
| USB PID checksum error callback More...
void(* | usb_pid_crc_err_callback )(usb_handle_t *p_usb)
| USB PID CRC error callback More...
void(* | usb_host_reset_callback )(usb_handle_t *p_usb)
| USB host reset callback More...
void(* | usb_ahb_xfer_err_callback )(usb_handle_t *p_usb)
| USB ep3 and ep4 AHB master receive error response callback. More...
void(* | usb_nse_err_callback )(usb_handle_t *p_usb)
| USB no such endpoint error callback More...
void(* | usb_ep3_ahb_xfer_done_callback )(usb_handle_t *p_usb)
| USB ep3 AHB master transfer done callback More...
void(* | usb_sync_err_callback )(usb_handle_t *p_usb)
| USB SYNC error callback More...
void(* | usb_bit_stuff_err_callback )(usb_handle_t *p_usb)
| USB bit stuff error callback More...
void(* | usb_byte_err_callback )(usb_handle_t *p_usb)
| USB byte error callback More...
void(* | usb_sof_callback )(usb_handle_t *p_usb)
| USB SOF callback More...
void(* | usb_ep0_tx_done_callback )(usb_handle_t *p_usb)
| USB ep0 TX done callback More...
void(* | usb_ep2_tx_done_callback )(usb_handle_t *p_usb)
| USB ep2 TX done callback More...
void(* | usb_ep3_tx_done_callback )(usb_handle_t *p_usb)
| USB ep3 TX done callback More...
void(* | usb_into_config_callback )(usb_handle_t *p_usb)
| USB into configcallback More...
void(* | usb_ep4_ahb_xfer_done_callback )(usb_handle_t *p_usb)
| USB ep4 AHB master transfer done callback More...
void(* | usb_ep4_tx_done_callback )(usb_handle_t *p_usb)
| USB ep4 TX done callback More...
void(* | usb_ep5_out_ready_callback )(usb_handle_t *p_usb)
| USB ep5 RX done callback More...
void(* | usb_ep5_ahb_xfer_done_callback )(usb_handle_t *p_usb)
| USB ep5 AHB master transfer done callback More...
void(* | usb_ep5_timer_out_err_callback )(usb_handle_t *p_usb)
| USB ep5 timer out error callback More...
void(* | usb_attach_callback )(usb_handle_t *p_usb)
| USB attatch callback More...
void(* | usb_detach_callback )(usb_handle_t *p_usb)
| USB detatch callback More...

## Detailed Description

HAL_USB Callback function definition.

Definition at line 217 of file gr55xx_hal_usb.h.

## Member Data Documentation

## ◆ usb_ahb_xfer_err_callback

void(* _hal_usb_callback::usb_ahb_xfer_err_callback) (usb_handle_t *p_usb)

USB ep3 and ep4 AHB master receive error response callback.

Definition at line 231 of file gr55xx_hal_usb.h.

## ◆ usb_attach_callback

void(* _hal_usb_callback::usb_attach_callback) (usb_handle_t *p_usb)

USB attatch callback

Definition at line 247 of file gr55xx_hal_usb.h.

## ◆ usb_bit_stuff_err_callback

void(* _hal_usb_callback::usb_bit_stuff_err_callback) (usb_handle_t *p_usb)

USB bit stuff error callback

Definition at line 235 of file gr55xx_hal_usb.h.

## ◆ usb_byte_err_callback

void(* _hal_usb_callback::usb_byte_err_callback) (usb_handle_t *p_usb)

USB byte error callback

Definition at line 236 of file gr55xx_hal_usb.h.

## ◆ usb_crc16_err_callback

void(* _hal_usb_callback::usb_crc16_err_callback) (usb_handle_t *p_usb)

USB receive CRC error data callback

Definition at line 224 of file gr55xx_hal_usb.h.

## ◆ usb_detach_callback

void(* _hal_usb_callback::usb_detach_callback) (usb_handle_t *p_usb)

USB detatch callback

Definition at line 248 of file gr55xx_hal_usb.h.

## ◆ usb_ep0_out_ready_callback

void(* _hal_usb_callback::usb_ep0_out_ready_callback) (usb_handle_t *p_usb)

USB ep0 data out ready callback

Definition at line 222 of file gr55xx_hal_usb.h.

## ◆ usb_ep0_tx_done_callback

void(* _hal_usb_callback::usb_ep0_tx_done_callback) (usb_handle_t *p_usb)

USB ep0 TX done callback

Definition at line 238 of file gr55xx_hal_usb.h.

## ◆ usb_ep1_out_ready_callback

void(* _hal_usb_callback::usb_ep1_out_ready_callback) (usb_handle_t *p_usb)

USB ep1 data out ready callback

Definition at line 223 of file gr55xx_hal_usb.h.

## ◆ usb_ep2_tx_done_callback

void(* _hal_usb_callback::usb_ep2_tx_done_callback) (usb_handle_t *p_usb)

USB ep2 TX done callback

Definition at line 239 of file gr55xx_hal_usb.h.

## ◆ usb_ep3_ahb_xfer_done_callback

void(* _hal_usb_callback::usb_ep3_ahb_xfer_done_callback) (usb_handle_t *p_usb)

USB ep3 AHB master transfer done callback

Definition at line 233 of file gr55xx_hal_usb.h.

## ◆ usb_ep3_tx_done_callback

void(* _hal_usb_callback::usb_ep3_tx_done_callback) (usb_handle_t *p_usb)

USB ep3 TX done callback

Definition at line 240 of file gr55xx_hal_usb.h.

## ◆ usb_ep4_ahb_xfer_done_callback

void(* _hal_usb_callback::usb_ep4_ahb_xfer_done_callback) (usb_handle_t *p_usb)

USB ep4 AHB master transfer done callback

Definition at line 242 of file gr55xx_hal_usb.h.

## ◆ usb_ep4_tx_done_callback

void(* _hal_usb_callback::usb_ep4_tx_done_callback) (usb_handle_t *p_usb)

USB ep4 TX done callback

Definition at line 243 of file gr55xx_hal_usb.h.

## ◆ usb_ep5_ahb_xfer_done_callback

void(* _hal_usb_callback::usb_ep5_ahb_xfer_done_callback) (usb_handle_t *p_usb)

USB ep5 AHB master transfer done callback

Definition at line 245 of file gr55xx_hal_usb.h.

## ◆ usb_ep5_out_ready_callback

void(* _hal_usb_callback::usb_ep5_out_ready_callback) (usb_handle_t *p_usb)

USB ep5 RX done callback

Definition at line 244 of file gr55xx_hal_usb.h.

## ◆ usb_ep5_timer_out_err_callback

void(* _hal_usb_callback::usb_ep5_timer_out_err_callback) (usb_handle_t *p_usb)

USB ep5 timer out error callback

Definition at line 246 of file gr55xx_hal_usb.h.

## ◆ usb_host_reset_callback

void(* _hal_usb_callback::usb_host_reset_callback) (usb_handle_t *p_usb)

USB host reset callback

Definition at line 230 of file gr55xx_hal_usb.h.

## ◆ usb_into_config_callback

void(* _hal_usb_callback::usb_into_config_callback) (usb_handle_t *p_usb)

USB into configcallback

Definition at line 241 of file gr55xx_hal_usb.h.

## ◆ usb_msp_deinit

void(* _hal_usb_callback::usb_msp_deinit) (usb_handle_t *p_usb)

USB de-init MSP callback

Definition at line 220 of file gr55xx_hal_usb.h.

## ◆ usb_msp_init

void(* _hal_usb_callback::usb_msp_init) (usb_handle_t *p_usb)

USB init MSP callback

Definition at line 219 of file gr55xx_hal_usb.h.

## ◆ usb_nse_err_callback

void(* _hal_usb_callback::usb_nse_err_callback) (usb_handle_t *p_usb)

USB no such endpoint error callback

Definition at line 232 of file gr55xx_hal_usb.h.

## ◆ usb_pid_cks_err_callback

void(* _hal_usb_callback::usb_pid_cks_err_callback) (usb_handle_t *p_usb)

USB PID checksum error callback

Definition at line 228 of file gr55xx_hal_usb.h.

## ◆ usb_pid_crc_err_callback

void(* _hal_usb_callback::usb_pid_crc_err_callback) (usb_handle_t *p_usb)

USB PID CRC error callback

Definition at line 229 of file gr55xx_hal_usb.h.

## ◆ usb_seq_err_callback

void(* _hal_usb_callback::usb_seq_err_callback) (usb_handle_t *p_usb)

USB DATA0/DATA1 PID sequence error callback

Definition at line 227 of file gr55xx_hal_usb.h.

## ◆ usb_sof_callback

void(* _hal_usb_callback::usb_sof_callback) (usb_handle_t *p_usb)

USB SOF callback

Definition at line 237 of file gr55xx_hal_usb.h.

## ◆ usb_suspend_callback

void(* _hal_usb_callback::usb_suspend_callback) (usb_handle_t *p_usb)

USB suspend status interrupt callback

Definition at line 221 of file gr55xx_hal_usb.h.

## ◆ usb_sync_err_callback

void(* _hal_usb_callback::usb_sync_err_callback) (usb_handle_t *p_usb)

USB SYNC error callback

Definition at line 234 of file gr55xx_hal_usb.h.

## ◆ usb_time_out_callback

void(* _hal_usb_callback::usb_time_out_callback) (usb_handle_t *p_usb)

USB rx/tx timeout error callback

Definition at line 226 of file gr55xx_hal_usb.h.

## ◆ usb_upid_err_callback

void(* _hal_usb_callback::usb_upid_err_callback) (usb_handle_t *p_usb)

USB receive unsupported PID callbac

Definition at line 225 of file gr55xx_hal_usb.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_usb.h